net.corda.core.crypto

## Class DummyPublicKey

- net.corda.core.crypto.DummyPublicKey

-     public class DummyPublicKey

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DummyPublicKey(java.lang.String s)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(java.security.PublicKey other)`
    `boolean` | `equals(java.lang.Object other)`
    `java.lang.String` | `getAlgorithm()`
    `byte[]` | `getEncoded()`
    `java.lang.String` | `getFormat()`
    `java.lang.String` | `getS()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### DummyPublicKey

          public DummyPublicKey(java.lang.String s)

  - ### Method Detail

    - #### getAlgorithm

          public java.lang.String getAlgorithm()

    - #### getEncoded

          public byte[] getEncoded()

    - #### getFormat

          public java.lang.String getFormat()

    - #### compareTo

          public int compareTo(java.security.PublicKey other)

    - #### equals

          public boolean equals(java.lang.Object other)

    - #### hashCode

          public int hashCode()

    - #### toString

          public java.lang.String toString()

    - #### getS

          public java.lang.String getS()